# Generate hash value

## SYNOPSIS

#include <libhashkit-1.0/hashkit.h>

  Compile and link with -lhashkit

uint32_t hashkit_value(hashkit_st *hash, const char *key, size_t key_length)
  Parameters:

    - hash -- pointer to an initialized `hashkit_st` struct

    - key -- the key to genereate a hash of

    - key_length -- the length of the `key` without any terminating zero byte

## DESCRIPTION

The `hashkit_value()` function generates a 32-bit hash value from the given key and key_length. The hash argument is an initialized hashkit object, and distribution type and hash function is used from this object while generating the value.

## RETURN VALUE

A 32-bit hash value.

## SEE ALSO

- libhashkit - C/C++ hashing library

- Creating a hashkit structure

- Set Hash Function

- Available Hashes